/*
 * Demo Hardware-UART for MSP430-Launchpad
 * =======================================
 *           Uwe Berger; 2013
 * 
 * Have fun!
 * 
*/

#ifndef F_CPU
#error "no define F_CPU!"
#endif


#include "msp430.h"
#include "uart.h"
#include <string.h>

#define LED_GREEN BIT6 

 
// *************************** 
// *************************** 
// *************************** 
int main(void) {
	
	WDTCTL  = WDTPW + WDTHOLD;
	
	BCSCTL1 = CALBC1_1MHZ;
	DCOCTL  = CALDCO_1MHZ;
	
	
	P1DIR  = LED_GREEN;                    // gruene LED als Ausgang
	uart_init(9600);                       // serielle Schnittstelle initialisieren
	__bis_SR_register(GIE);                // Interrupts einschalten
	uart_puts("\n\rHardware-UART ready!\n\r");
	while (1) {                            // Hauptschleife
#if 0
		uint8_t c;
		c = uart_getc();
        uart_putc(c);                      
        if (c == 'G') P1OUT |= LED_GREEN;
        if (c == 'g') P1OUT &= ~LED_GREEN;		
#else
		char cmd_buffer[20];
		char* cmd = cmd_buffer;
        if(uart_get_line(cmd, sizeof(cmd_buffer)) < 1) {
			continue;
		} else {
			uart_puts("\n\r");	
			if (strcmp(cmd, "on") == 0) {
				P1OUT |= LED_GREEN;
			} else 
			if (strcmp(cmd, "off") == 0) {
				P1OUT &= ~LED_GREEN;
			} else {
				uart_puts("??? >");	
				uart_puts(cmd);	
				uart_puts("<\n\r");	
			}
		}
#endif
	}
	return 0;
}
 



