/*
 * Demo Software-UART for MSP430-Launchpad
 * =======================================
 *           Uwe Berger; 2013
 * 
 * Have fun!
 * 
*/

#include <msp430.h>
#include <stdint.h>
#include <string.h>

#include "uart.h"

#define LED_GREEN BIT6 

int main(void)
{
	
     WDTCTL = WDTPW + WDTHOLD; 	// Stop WDT

     BCSCTL1 = CALBC1_1MHZ; 		// Set range
     DCOCTL = CALDCO_1MHZ; 		// SMCLK = DCO = 1MHz

	 P1DIR  = LED_GREEN;

     uart_init();

     __enable_interrupt();

     uart_puts("\n\rSoftware-UART ready!\n\r");

     while(1) {
#if 0
		uint8_t c;
		c = uart_getc();
        uart_putc(c);                      // Echo
        if (c == 'G') P1OUT |= LED_GREEN;
        if (c == 'g') P1OUT &= ~LED_GREEN;		
#else
		char cmd_buffer[20];
		char* cmd = cmd_buffer;
        if(uart_get_line(cmd, sizeof(cmd_buffer)) < 1) {
			continue;
		} else {
			uart_puts("\n\r");	
			if (strcmp(cmd, "on") == 0) {
				P1OUT |= LED_GREEN;
			} else 
			if (strcmp(cmd, "off") == 0) {
				P1OUT &= ~LED_GREEN;
			} else {
				uart_puts("??? >");	
				uart_puts(cmd);	
				uart_puts("<\n\r");	
			}
		}
#endif
     }
}

